=== debian/changelog ===
libeconf (0.3.8-1) unstable; urgency=medium

  * Initial release (Closes: #964857)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Jul 2020 11:04:11 +0200
