## libeconf 0.4.6+dfsg1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,10 @@
           tst-arguments3
           tst-arguments4
           tst-arguments5
+	  tst-string
+	  tst-string-append
+	  tst-extvalue
+	  tst-comments
           tst-getconfdirs1
           tst-getconfdirs2
           tst-getconfdirs3
@@ -40,6 +44,7 @@
           tst-getconfdirs5
           tst-getconfdirs6
           tst-getconfdirs7
+	  tst-without-suffix
           tst-econf_errstring1
           tst-setgetvalues1
           tst-groups1
@@ -48,8 +53,19 @@
           tst-groups4
           tst-parseconfig1
           tst-quote1
-          )
+	  tst-parse-error
+	  tst-getpath
+	  tst-write-string-data
+	  tst-write-comments )
 
 foreach (TESTCASE ${TESTS})
   BuildAndAddTest(${TESTCASE})
 endforeach()
+
+find_program (BASH_PROGRAM bash)
+
+if (BASH_PROGRAM)
+    add_test (econftool1 ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool1.sh)
+    add_test (econftool_show1 ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool_show1.sh)
+    add_test (econftool_cat ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool_cat.sh)
+endif (BASH_PROGRAM)
