=== debian/changelog ===
libeconf (0.4.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/werror.patch (Closes: #1015485, #1014604)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2022 07:09:20 +0200

libeconf (0.4.4+dfsg1-1) unstable; urgency=medium

  * Add superficial autopkgtest of libeconf-dev
  * Call into library in libeconf-dev autopkgtest
  * debian/gbp.conf: set upstream branch name
  * debian/gbp.conf: Fix upstream-vcs-tag setting
  * debian/copyright: Add format 1.0 header
  * debian/copyright: Exclude docs for jquery.js
  * debian/watch: Add +dfsg1 suffix to modified orig tarball
  * debian/gbp.conf: Add note about #968329
    - upstream-vcs-tag will need to be manually specified
      because of the +dfsg1 suffix until #968329 gets fixed.
  * Import new upstream release (v0.4.4)
    - gbp import-orig --uscan --upstream-vcs-tag=v0.4.4
  * debian/copyright: Bump copyright year
  * libeconf-dev: Install libeconf(3) manpage
  * libeconf-utils: New binary package for econftool
  * Add doxygen build-dep for html doc generation
  * debian/rules: Manually install doxygen html docs
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Feb 2022 23:23:22 +0100
