=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libeconf
 Priority: optional
 Maintainer: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper-compat (= 13), meson
+Build-Depends: debhelper-compat (= 13), meson, doxygen <!nodoc>
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/openSUSE/libeconf
@@ -48,3 +48,24 @@
  processed in lexicographic order of their filename.
  .
  This package provides the library files needed at runtime.
+
+Package: libeconf-utils
+Section: utils
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: parse and manage key=value configuration files - command line utils
+ libeconf is a highly flexible and configureable library to parse and manage
+ key=value configuration files. It reads configuration file snippets from
+ different directories and builds the final configuration file for the
+ application from it.
+ .
+ The first file is the vendor provided configuration file. There are two
+ methods of overriding this vendor settings: copy the file from /usr/vendordir
+ to /etc and modify the settings. Alternatively, a directory named
+ file.suffix.d/ within /etc can be created, with drop-in files in the form
+ name.suffix. This files contain only the changes of the specific settings the
+ user is interested in. There can be several such drop-in files, they are
+ processed in lexicographic order of their filename.
+ .
+ This package provides command line utilities (econftool).
