## libeconf 0.5.1%2Bdfsg1

=== debian/changelog ===
libeconf (0.5.1+dfsg1-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream buffer overflow fix (Closes: #1037333)
    - CVE-2023-32181
    - CVE-2023-22652

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Feb 2025 21:04:57 +0100

libeconf (0.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 Feb 2023 20:15:37 +0100

libeconf (0.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * debian/libeconf0.symbols: Track library symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Dec 2022 18:32:58 +0100

libeconf (0.4.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Nov 2022 14:22:34 +0100

libeconf (0.4.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Revert "Add debian/patches/werror.patch"
    - fixed upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Oct 2022 19:24:25 +0200
