## libeconf 0.5.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Ensure built-in policies from CMake are used, (e.g. improved policies for macOS)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 
-project(libeconf VERSION 0.3.8
+project(libeconf VERSION 0.5.1
                  DESCRIPTION "Enhanced config file parser, which merges config files placed in several locations into one."
                  LANGUAGES C
                  )
@@ -64,6 +64,8 @@
 
 add_subdirectory(lib)
 add_subdirectory(example)
+add_subdirectory(util)
+add_subdirectory(doc)
 
 # Enable testing
 include(CTest)
