## libeconf 0.5.2+dfsg1

=== debian/changelog ===
libeconf (0.5.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1037333)
    - includes fixes for CVE-2023-32181 and CVE-2023-22652
  * Add one new symbol to debian/libeconf0.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Jun 2023 22:01:24 +0200
