## libeconf 0.6.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Ensure built-in policies from CMake are used, (e.g. improved policies for macOS)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 
-project(libeconf VERSION 0.5.1
+project(libeconf VERSION 0.6.0
                  DESCRIPTION "Enhanced config file parser, which merges config files placed in several locations into one."
                  LANGUAGES C
                  )
@@ -38,20 +38,20 @@
 
 # Build Types
 set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE}
-    CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel SanitizeAddress RelWithDebInfoStrict"
+    CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel Sanitize RelWithDebInfoStrict"
     FORCE
     )
 
 # AddressSanitize
-set(CMAKE_C_FLAGS_SANITIZEADDRESS
-    "-O2 -g -Wall -fsanitize=address -fno-optimize-sibling-calls -fsanitize-address-use-after-scope -fno-omit-frame-pointer"
-    CACHE STRING "Flags used by the C compiler during AddressSanitizer builds."
+set(CMAKE_C_FLAGS_SANITIZE
+    "-O2 -g -Wall -fsanitize=address,undefined"
+    CACHE STRING "Flags used by the C compiler during Sanitizer builds."
     FORCE
     )
 
-set(CMAKE_LINK_FLAGS_SANITIZEADDRESS
-    "-fsanitize=address"
-    CACHE STRING "Flags used by the linker during AddressSanitizer builds."
+set(CMAKE_LINK_FLAGS_SANITIZE
+    "-fsanitize=address,undefined"
+    CACHE STRING "Flags used by the linker during Sanitizer builds."
     FORCE
     )
