=== debian/changelog ===
libeconf (0.6.0+dfsg1-1) unstable; urgency=medium

  * debian/gbp.conf: Rename debian branch
  * New upstream release.
  * Cherry-pick upstream test fix commit
  * Update libeconf0.symbols with additions

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Dec 2023 09:06:03 +0100
