=== debian/changelog ===
libeconf (0.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Revert "Cherry-pick upstream test fix commit"
    - now part of upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 29 Jan 2024 09:38:12 +0100
