=== debian/changelog ===
libeconf (0.6.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * List static library in debian/not-installed

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 May 2024 12:40:33 +0200
