=== debian/changelog ===
libeconf (0.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump policy compatibility to 4.7.0

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Sep 2024 11:51:15 +0200

libeconf (0.7.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libeconf0.symbols with new addition

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 18 Aug 2024 01:13:04 +0200
