=== debian/changelog ===
libeconf (0.7.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 11:07:54 +0100

libeconf (0.7.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 09 Dec 2024 20:45:54 +0100
