## libeconf 0.7.7%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper-compat (= 13), meson, doxygen <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/openSUSE/libeconf
 Vcs-Browser: https://salsa.debian.org/debian/libeconf
