=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
   if (${TESTNAME} STREQUAL "tst-getconfdirs1")
     target_compile_options(${TESTNAME} PRIVATE -DTESTSDIR=\"${PROJECT_SOURCE_DIR}/tests/\" -DSUFFIX=\".conf\")
   elseif (${TESTNAME} STREQUAL "tst-getconfdirs2")
+    target_compile_options(${TESTNAME} PRIVATE -DTESTSDIR=\"${PROJECT_SOURCE_DIR}/tests/\" -DSUFFIX=\"conf\")
+  elseif (${TESTNAME} STREQUAL "tst-getconfdirs8")
     target_compile_options(${TESTNAME} PRIVATE -DTESTSDIR=\"${PROJECT_SOURCE_DIR}/tests/\" -DSUFFIX=\"conf\")
   else()
     target_compile_options(${TESTNAME} PRIVATE -DTESTSDIR=\"${PROJECT_SOURCE_DIR}/tests/\")
@@ -35,8 +37,15 @@
           tst-arguments5
 	  tst-string
 	  tst-string-append
+	  tst-long-name
+	  tst-security
+	  tst-checkfiles
+	  tst-delimiter-comment
 	  tst-extvalue
 	  tst-comments
+	  tst-python
+	  tst-options
+	  tst-man-dir
           tst-getconfdirs1
           tst-getconfdirs2
           tst-getconfdirs3
@@ -44,6 +53,7 @@
           tst-getconfdirs5
           tst-getconfdirs6
           tst-getconfdirs7
+          tst-getconfdirs8
 	  tst-without-suffix
           tst-econf_errstring1
           tst-setgetvalues1
@@ -68,4 +78,5 @@
     add_test (econftool1 ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool1.sh)
     add_test (econftool_show1 ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool_show1.sh)
     add_test (econftool_cat ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tst-econftool_cat.sh)
+    add_dependencies(check econftool)
 endif (BASH_PROGRAM)
