=== debian/changelog ===
libeconf (0.7.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Jan 2025 19:13:17 +0100
