=== debian/tests/control ===
Tests: libeconf-dev
Depends: libeconf-dev, pkg-config, build-essential
Restrictions: superficial
