=== debian/changelog ===
libeconf (0.7.9+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 May 2025 00:38:13 +0200
